summaryrefslogtreecommitdiffstats
path: root/ipw3945
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2007-02-07 22:21:08 +0000
committer Eric Hameleers <alien@slackware.com>2007-02-07 22:21:08 +0000
commit1b04fbad13883e7e54f3a1585257fce549f79f9d (patch)
tree9a880b28098b1d52f7a088366ad13cbc146ee63f /ipw3945
parentb6214a2fb6d30fc369a48ace5c6fbcac2a628598 (diff)
downloadasb-1b04fbad13883e7e54f3a1585257fce549f79f9d.tar.gz
asb-1b04fbad13883e7e54f3a1585257fce549f79f9d.tar.xz
Small updates
Diffstat (limited to 'ipw3945')
-rwxr-xr-xipw3945/build/ipw3945.SlackBuild28
1 files changed, 16 insertions, 12 deletions
diff --git a/ipw3945/build/ipw3945.SlackBuild b/ipw3945/build/ipw3945.SlackBuild
index 5cbc6496..fb4853a2 100755
--- a/ipw3945/build/ipw3945.SlackBuild
+++ b/ipw3945/build/ipw3945.SlackBuild
@@ -13,7 +13,7 @@
# Needs: Linux kernel >= 2.6.13
# Changelog:
# 1.2.0-1: 07/Feb/2007 by Eric Hameleers <alien@slackware.com>
-# * Initial build, based on Yalla-one's script.
+# * Initial build, based on Yalla-one's SBo script.
#
# Run 'sh ipw3945.SlackBuild --cleanup' to build a Slackware package.
# The package (.tgz) plus descriptive .txt file are created in /tmp .
@@ -31,9 +31,10 @@ VBLOB=${VBLOB:-1.7.22}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
-DOCS="CHANGES LICENSE README* INSTALL ISSUES \
- ${PRGNAM}-ucode-${VUCODE}/LICENSE.* ${PRGNAM}-ucode-${VUCODE}/README.* \
- ${PRGNAM}d-${VBLOB}/LICENSE.* ${PRGNAM}d-${VBLOB}/README.*"
+DOCS="CHANGES FILES INSTALL ISSUES LICENSE* README* \
+ ../${PRGNAM}-ucode-${VUCODE}/LICENSE.* \
+ ../${PRGNAM}-ucode-${VUCODE}/README.* \
+ ../${PRGNAM}d-${VBLOB}/LICENSE.* ../${PRGNAM}d-${VBLOB}/README.*"
# Where do we keep firmware files?
eval `grep "^FIRMWARE_DIR=" /etc/hotplug/firmware.agent`
@@ -165,10 +166,11 @@ for (( i = 0; i < ${#SOURCE[*]}; i++ )) ; do
tar -xvf ${SOURCE[$i]} # Just try generically
fi
done
-cd ${PRGNAM}-${VERSION}
-chown -R root:root .
-chmod -R u+w,go+r-w,a-s .
+chown -R root:root *
+chmod -R u+w,go+r-w,a-s *
+
+cd ${PRGNAM}-${VERSION}
# --- BUILDING ---
@@ -188,7 +190,7 @@ install -m 644 ../${PRGNAM}-ucode-${VUCODE}/${PRGNAM}.ucode ${PKG}${FIRMWARE_DIR
install -m 755 ../${PRGNAM}d-${VBLOB}/x86/${PRGNAM}d ${PKG}/sbin
# Tweak modprobe options so that the userspace daemon loads correctly:
-cat <<-EEOOTT > $PKG/etc/modprobe.d/${PRGNAM}
+cat <<-EOT > $PKG/etc/modprobe.d/${PRGNAM}
# Module parameter initialization for ipw3945.
# The loop is required for the binary daemon to load in case
# /var is located on a separate partition, which is mounted
@@ -204,7 +206,7 @@ cat <<-EEOOTT > $PKG/etc/modprobe.d/${PRGNAM}
done; \\
} &
remove ipw3945 /sbin/ipw3945d --kill ; /sbin/modprobe -r -i ipw3945
- EEOOTT
+ EOT
# Add this to the doinst.sh
! [ -d $PKG/install ] && mkdir -p $PKG/install
@@ -221,11 +223,13 @@ cat <<-EEOOTT >> $PKG/install/doinst.sh
# Check for correct location of FIRMWARE_DIR
if (! grep -q "^FIRMWARE_DIR=$FIRMWARE_DIR" etc/hotplug/firmware.agent)
- then
+ then
+ echo ""
echo "WARNING: this package installed IPW3945 firmware"
echo "into $FIRMWARE_DIR - but the hotplug package is not configured"
echo "to look there!!! Please check /etc/hotplug/firmware.agent"
echo "and/or move the firmware file manually to the correct location."
+ echo ""
fi
EEOOTT
@@ -238,8 +242,8 @@ chmod -R a-w $PKG/usr/doc/$PRGNAM-$VERSION/*
# Strip binaries
cd $PKG
-find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
cd -